Package javax.help.event

# Interface TextHelpModelListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `BasicContentViewerUI`

public interface TextHelpModelListener extends EventListener
Defines the interface for an object that listens to changes in a TextHelpModel.

## Method Summary

Modifier and Type
Method
Description
`void`
`highlightsChanged(TextHelpModelEvent e)`
Invoked when the set of highlights changess.

## Method Details

### highlightsChanged

void highlightsChanged(TextHelpModelEvent e)
Invoked when the set of highlights changess. Note that this event is not generated when an idChanged() event is generated, since all the highlights are reset at that point.